For the complete documentation index, see llms.txt. This page is also available as Markdown.

Adisyonu Base64 Olarak Gönderir

UBL-TR Xml ZIP formatındaki adisyonun string Base64 değeri göndermek için bu uç kullanılır.

post

UBL-TR Xml ZIP formatındaki adisyonun string Base64 değeri göndermek için bu uç kullanılır.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
ZIPFileBase64string · nullableOptional
TemplateUUIDstring · uuidOptional
Responses
200

UBL-TR Xml ZIP formatındaki Adisyonun string Base64 değeri Fatura Oluşturulmak üzere gönderildi.

UUIDstring · uuidOptional
BillNumberstring · nullableOptional
post/Send/Base64String
POST /ebill/Send/Base64String HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 78

{
  "ZIPFileBase64": "text",
  "TemplateUUID": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "BillNumber": "text"
}
var options = new RestClientOptions("/ebill/Send/Base64String")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Authorization", "APIKEY");
var body = @"";
request.AddParameter("text/plain", body,  ParameterType.RequestBody);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '/ebill/Send/Base64String',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_HTTPHEADER => array(
    'Authorization: APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated